Subject: bug#57933: closed (Re: bug#57933: Gtk is unsupported on i686-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Oct 2022 15:41:01 +0000

Your bug report

#57933: Gtk is unsupported on i686-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57933: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57933
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57933: Gtk is unsupported on i686-linux
From: Ludovic Courtès <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Oct 2022 17:40:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> I pushed things to make ‘gst-plugins-bad’ supported on i686-linux:
>
> 27a3a5d193 gnu: svt-hevc: Mark as supported on x86_64-linux only.
> e3362e249a gnu: directfb: Remove input labels.
> 3714c8bdcd gnu: gst-plugins-bad: Use 'librsvg-for-system'.
> c3b0be1fa2 gnu: directfb: Use 'librsvg-for-system'.
>
> But now there’s an ‘openexr’ test failure on i686.
>
> And GTK has another path to unsupported software on i686-linux.

Thanks to GNUtoo’s work in <https://issues.guix.gnu.org/57931>, this is
now fixed:

  75e24eec1e * gnu: gtk: Use librsvg-2.40 for non-x86_64.
  4133e50026 * gnu: openexr: Skip failing tests on i686.
  831e038dff * gnu: openexr: Apply 'guix style'.

Ludo’.

Subject: Gtk is unsupported on i686-linux
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Mon, 19 Sep 2022 13:41:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I had the following error while trying out `make release` for
`i686-linux` specifically.

--8<---------------cut here---------------start------------->8---
+ for example in gnu/system/examples/*.tmpl
+ case "$example" in
+ options=
+ guix system -n disk-image gnu/system/examples/desktop.tmpl
accepted connection from pid 17139, user nixbld
guix system: warning: 'disk-image' is deprecated: use 'image' instead
guix system: error: package [email-masked] does not support i686-linux
+ rm -f t-guix-system-16656 t-guix-system-error-16656 /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656/config.scm /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656/my-torrc
+ rmdir /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656
FAIL tests/guix-system.sh (exit status: 1)
--8<---------------cut here---------------end--------------->8---

Turns out, Gtk is unsupported on i686-linux which is problematic to
build the desktop.tmpl image.

--8<---------------cut here---------------start------------->8---
mathieu@meije ~/guix [env]$ make -j8 && ./pre-inst-env guix build gtk -s i686-linux
gnu/packages/gtk.scm:1182:2: warning: package [email-masked] does not support i686-linux
--8<---------------cut here---------------end--------------->8---

That's because `gst-plugins-bad` and `librsvg-bootstrap` both refer to
`librsvg` which depends on Rust which is only supported on x86_64-linux.

There are other packages in (gnu packages gnome) relying on librsvg
directly. I'm not sure what's our best option here. Use
librsvg-for-system for the entire desktop.tmpl closure?

Thanks,

Mathieu